Main Page Groups Namespaces

# type_traits.h File Reference

## Namespaces
namespace | sigc
## Classes
struct | sigc::type_trait<T_type>
struct | sigc::type_trait< T_type[N]>
struct | sigc::type_trait<T_type&>
struct | sigc::type_trait<const T_type&>
struct | sigc::type_trait<void>
struct | sigc::is_base_and_derived<T_base, T_derived>
| Compile-time determination of base-class relationship in C++ (adapted to match the syntax of boost's type_traits library). More...
struct | sigc::is_base_and_derived< T_base, T_derived >::big
struct | sigc::is_base_and_derived< T_base, T_derived >::internal_class
struct | sigc::is_base_and_derived<T_base, T_base>